import Image from "next/image";
import { useTranslations } from "next-intl";

import { emailMarketingCompV1Images } from "@/shared/constants/images";
import { translatePathEmailMarketingCompatibilityV1 } from "@/shared/constants/translate";

import { TextWithEmoji } from "..";

import styles from "./AdviceFromAstrologer.module.scss";

export default function AdviceFromAstrologer() {
  const t = useTranslations(
    translatePathEmailMarketingCompatibilityV1("Landing")
  );

  return (
    <div className={styles.container}>
      <TextWithEmoji
        text={t("personal-astrologer-advice")}
        emoji="sparkling-heart.svg"
      />
      <Image
        className={styles.messages}
        src={emailMarketingCompV1Images("messages.svg")}
        alt="messages"
        width={325}
        height={176}
      />
    </div>
  );
}
